<?php
/**
 * @author Silvan Engeler <silvan.engeler@threema.ch>
 * @copyright Copyright (c) 2020 Threema GmbH
 * @link https://gateway.threema.ch/en/developer
 */

namespace Threema\Console\Command;

use Threema\Console\Common;
use Threema\MsgApi\Tools\CryptTool;

class DerivePublicKey extends Base {
	function __construct() {
		parent::__construct('Derive Public Key',
			array(self::argPrivateKey),
			'Derive the public key that corresponds with the given private key.');
	}

	function doRun() {
		$privateKey = $this->getArgumentPrivateKey(self::argPrivateKey);

		Common::required($privateKey);

		$cryptTool = CryptTool::getInstance();

		$publicKey = $cryptTool->derivePublicKey($privateKey);
		Common::l(Common::convertPublicKey(bin2hex($publicKey)));
	}
}
